const gulp = require("gulp");
const sourcemaps = require("gulp-sourcemaps");
const source = require("vinyl-source-stream");
const buffer = require("vinyl-buffer");
const browserify = require("browserify");
const babel = require("babelify");
const merge = require("merge");
const handleErrors = require("../lib/handleErrors");
const config = require("../config/browserify");

gulp.task("browserify:production", (cb) => {
    const bundler = browserify(config.entryPoint, merge({ debug: false }, config.options))
        .transform(babel.configure(config.babel));

    bundler.bundle()
        .on("error", handleErrors)
        .pipe(source("sdk.js"))
        .pipe(buffer())
        .pipe(sourcemaps.init({ loadMaps: true }))
        .pipe(sourcemaps.write("./"))
        .pipe(gulp.dest(config.output))
        .on("end", () => {
            cb();
        });
});
