const gulp = require("gulp");
const karma = require("karma");

const karmaTask = (done) => {
    karma.server.start({
        configFile: `${process.cwd()}/karma.conf.js`,
        singleRun: true,
    }, (exitStatus) => {
        // Karma"s return status is not compatible with gulp"s streams
        // See: http://stackoverflow.com/questions/26614738/issue-running-karma-task-from-gulp
        // or: https://github.com/gulpjs/gulp/issues/587 for more information
        done(exitStatus ? "There are failing unit tests" : undefined);
    });
};

gulp.task("karma", karmaTask);
